Last Comment Bug 642239 - GCLI should have history retention
: GCLI should have history retention
Status: RESOLVED FIXED
[estimate:best=2d,likely=3d,worst=8d]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nick Fitzgerald [:fitzgen] [⏰PDT; UTC-7]
:
:
Mentors:
Depends on:
Blocks: GCLI-HELP
  Show dependency treegraph
 
Reported: 2011-03-16 12:37 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-06-17 01:25 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-03-16 12:37:25 PDT
GCLI should retain a history of commands executed, and the values that they returned, for use in other commands.
Comment 1 Nick Fitzgerald [:fitzgen] [⏰PDT; UTC-7] 2011-06-14 15:41:41 PDT
Things to consider:

Should we handle history on a per command basis? For example, in the following, we cycle backwards through echo's particular history:

    > echo "hi"
    > eval 1 + 1
    > echo <up>
    > echo "hi"

We could also possibly take advantage of type information. The ast will have the types. This seems like it would be useful if we had specific types (such as git repositories), but problematic with generic types (such as strings).
Comment 2 Nick Fitzgerald [:fitzgen] [⏰PDT; UTC-7] 2011-06-14 18:02:08 PDT
Basic implementation at https://github.com/fitzgen/gcli/tree/642239-history
Comment 3 Nick Fitzgerald [:fitzgen] [⏰PDT; UTC-7] 2011-06-16 15:38:54 PDT
Joe,

Can we close this issue, now that my implementation has been merged in to master?
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-06-17 00:47:42 PDT
Yes - go ahead

Note You need to log in before you can comment on or make changes to this bug.